
package de.ivu.elect.business.security.control;

import javax.enterprise.inject.Specializes;
import javax.inject.Inject;

import de.ivu.elect.jee.security.LoginServiceFactory;

@Specializes
public class ElectCommonLoginServiceFactory extends LoginServiceFactory {

  private static final long serialVersionUID = 1L;

  @Inject
  private transient LoginServiceKonfiguration loginServiceKonfiguration;

  @Override
  protected String getLoginServiceName(Long mandantenNummer) {
    return loginServiceKonfiguration.getLoginServiceName(mandantenNummer).name();
  }

  @Override
  public String getPasswortFormatPattern(Long mandantenNummer) {
    return loginServiceKonfiguration.getLoginServicePasswortFormatPattern(mandantenNummer);
  }

  @Override
  public String getPasswortFormatBeschreibung(Long mandantenNummer) {
    return loginServiceKonfiguration.getLoginServicePasswortFormatBeschreibung(mandantenNummer);
  }
}
